
angular
        .module('starter', [
                            'ionic', 
                            'ngCordova', 
                            'controllers', 
                            'services'])

    .constant("Config", {
        "BASE_URL": "http://api.radarescastellon.com",
        "TEMPLATES": "templates"
    })

.run(function($ionicPlatform, $rootScope, $location) {

  $ionicPlatform.ready(function() {

    if(window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
    }
    if(window.StatusBar) {
      StatusBar.styleDefault();
    }


    // * * * * * * * * * * * * * * * * * * * * * 
    // Código para puntuar la app
    // Más info: https://github.com/pushandplay/cordova-plugin-apprate

    if (ionic.Platform.isWebView()) {

        AppRate.preferences.useLanguage = 'es';
        AppRate.preferences.openStoreInApp = true;
        AppRate.preferences.usesUntilPrompt = 5;
        AppRate.preferences.promptAgainForEachNewVersion = true;

        AppRate.preferences.storeAppURL.ios = '896810248';
        AppRate.preferences.storeAppURL.android = 'market://details?id=com.radarescastellon.radarcas';
        AppRate.promptForRating();
    
    }
    // Final código para puntuar app
    // * * * * * * * * * * * * * * * * * * * * * 


    //* * * * * * * * * * * * * * * * * * * * * *
    // Publicidad con adMob
    //* * * * * * * * * * * * * * * * * * * * * *
    if(window.plugins && window.plugins.AdMob) {
        var admob_key = device.platform == "Android" ? "ca-app-pub-2856440821325390/7133334637" : "ca-app-pub-2856440821325390/1226401833";
        var admob = window.plugins.AdMob;
        admob.createBannerView( 
            {
                'publisherId': admob_key,
                'adSize': admob.AD_SIZE.BANNER,
                'bannerAtTop': false
            }, 
            function() {
                admob.requestAd(
                    { 'isTesting': false }, 
                    function() {
                        admob.showAd(true);
                    }, 
                    function() { console.log('failed to request ad'); }
                );
            }, 
            function() { console.log('failed to create banner view'); }
        );
    }

    $location.path("/app/home");

  });
})


.config(function($stateProvider, $urlRouterProvider) {

 
  $stateProvider

  .state('app', {
    url: "/app",
    abstract: true,
    templateUrl: "templates/menu.html",
    controller: 'AppCtrl as vm'
  })

  .state('app.home', {
    url: "/home",
    views: {
      'menuContent': {
        templateUrl: "templates/home.html",
        controller: 'HomeCtrl as vm'

      }
    }
  })
  .state('app.paypal', {
    url: "/paypal",
    views: {
      'menuContent': {
        templateUrl: "templates/paypal.html",
      }
    }
  })
  .state('app.configuracion', {
    url: "/configuracion",
    views: {
      'menuContent': {
        templateUrl: "templates/configuracion.html",
        controller: 'ConfiguracionCtrl as vm'

      }
    }
  })


  .state('app.info', {
    url: "/info",
    views: {
      'menuContent': {
        templateUrl: "templates/info.html",
          controller: 'InfoCtrl'

      }
    }
  })
    .state('app.pois', {
      url: "/pois",
      views: {
        'menuContent': {
          templateUrl: "templates/pois/list.html",
          controller: 'PoisController as vm'
        }
      }
    })
    .state('app.publish', {
      url: "/publish",
      views: {
        'menuContent': {
          templateUrl: "templates/pois/publish.html",
          controller: 'PoisController as vm'
        }
      }
    })
    .state('app.contacto', {
      url: "/contacto",
      views: {
        'menuContent': {
          templateUrl: "templates/contacto.html",
          controller: 'ContactoCtrl as vm'
        }
      }
    })

  .state('app.poi', {
    url: "/pois/:pid",
    views: {
      'menuContent': {
        templateUrl: "templates/pois/view.html",
        controller: 'PoisController as vm'
      }
    }
  });
  // if none of the above states are matched, use this as the fallback
 // $urlRouterProvider.otherwise('/home');
});
