angular.module('services', [])
.factory('PoisService', PoisService)


.factory('CommonCode', function ($ionicPopup, $timeout, Config) {
    var root = {};
    
    if (ionic.Platform.isWebView()) {
        root.deviceID = device.uuid;
    } else {
        root.deviceID = 1234;
    }

    root.loading = function(){
        var myPopup = $ionicPopup.show(
                {
                  title: 'Cargando información',
                  subTitle: 'Un momento por favor',
                });
        $timeout(function() {
           myPopup.close(); //close the popup after 3 seconds for some reason
        }, 1200);
    };
    
    
    root.message = function (title,subtitle,r) {
        var myPopup = $ionicPopup.show({
          //templateUrl: 'popup-template.html',
          title: title,
          subTitle: subtitle+"<br><br><b>"+r.message+"</b>",
          //scope: $scope,
          buttons: [
                    {
                      text: 'Vale',
                      type: 'button-positive',
                      onTap: 
                            function()  {
                                window.location.href='index.html';
                            }
                    }
          ]
        });
    };
    
    root.setVisit = function (q, debug) {
        
        if (debug) {
            console.log (q);
        }
        
        if (ionic.Platform.isWebView()) {
            window.analytics.trackView(q + " ["+device.platform+"]");
        }
    };
    
    return root;
})


.factory(("ionPlatform"), function( $q ){
    var ready = $q.defer();

    ionic.Platform.ready(function( device ){
        ready.resolve( device );
    });

    return {
        ready: ready.promise
    }
});


function PoisService ($http) {

    var service = {
        get: get,
        contact: contact,
        publish: publish,
        registerToken: registerToken,
        setType: setType
    };

    return service;
 
    function get (url) {

        var config = { url: url+'&callback=JSON_CALLBACK',
                       method: 'JSONP' }

        return  $http(config)
                .then(function(response) {
                return response.data;
                }, function(response) {
                return response;
                });
    };


    function contact(url,data) {

        return $http.jsonp(url+'?callback=JSON_CALLBACK',
        { 
            params : 
                { 
                    comment  : data.comment,
                    uid      : device.uuid
                }
        }).then(function(response) {
                return response.data;

            }, function(response) {
                // something went wrong
                    return response;
            });

      };

    function publish(url,data) {

        return $http.jsonp(url+'?callback=JSON_CALLBACK',
        { 
            params : 
                { 
                    address  : data.address,
                    comment  : data.comment,
                    category : data.category,
                    uid      : device.uuid
                }
        }).then(function(response) {
                return response.data;

            }, function(response) {
                // something went wrong
                    return response;
            });

      };

      function registerToken(datos) {
            
            console.log("Call registerToken: "+datos.token);

            var config  =   {
                            url : "http://api.radarescastellon.com/pois/add_token?callback=JSON_CALLBACK",
                            method : 'JSONP',
                            params : datos
                            }
            
            console.log("\r\n"+JSON.stringify(config)+"\r\n");
            
            return $http(config)
                    .then(function(response) {
                        console.log("OK en registerToken");
                        return response.data;
                    }, function(response) {
                        return response;
                    });


      };

        function setType (uid,type,status) {

            console.log("Cambio: "+type);

            $http.jsonp("http://api.radarescastellon.com/pois/setTypePoi?callback=JSON_CALLBACK", 
            {
                params : { uid : uid, type : type, status : status }
            }).then(function(response) {

              console.log("Estado cambiado ["+uid+"] "+status+" >> "+response);
                    return response.data;

                }, function(response) {
                  console.log("No he cambiado el estado");
                    // something went wrong
                        return response;
                });

        };


    
  };
